<style lang="scss">
    @import "assets/scss/style";
</style>

<template>
    <v-app>
        <Header v-if="!$route.meta.hideHeader" />
        <Drawer v-if="$route.meta.showAdminDrawer" />
        <v-main>
            <router-view></router-view>
        </v-main>
        <Footer v-if="!$route.meta.hideFooter"/>
    </v-app>
</template>

<script>
import Header from '@/components/Header';
import Footer from '@/components/Footer';
import Drawer from '@/components/Admin/Drawer';

export default {
  name: 'App',
  components: {
    // Home,
    Header,
    Footer,
    Drawer
  },
  created: function () {
    this.$apiRest.interceptors.response.use(undefined, function (err) {
      return new Promise(function () {
        if (err.status === 401 && err.config && !err.config.__isRetryRequest) {
          this.$store.dispatch('logout');
          this.$router.push({name: 'Home'})
        }
        throw err;
      });
    });
  },
};
</script>
